Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Interface Command

All Known Implementing Classes:
  AboutCommand, AbstractAction, AbstractAction, AddParent, AddToTree, Analyze, ChangeLanguage, CheckDirty, Clear, Close, CollapseExpand, Copy, CreateFunctionDialog, Cut, DragNDrop, EditCommand, EnableComponent, ExitCommand, Help, Load, LoadRecentProject, LookAndFeelCommand, Paste, RemoteStart, Remove, ReportAddParent, ReportAddToTree, ReportCheckDirty, ReportClose, ReportCopy, ReportCut, ReportDragNDrop, ReportEditCommand, ReportEnableComponent, ReportExitCommand, ReportHelp, ReportLoad, ReportLookAndFeelCommand, ReportPaste, ReportRemove, ReportSave, ReportSaveGraphics, ReportStart, RevertProject, Save, SaveGraphics, SSLManagerCommand, Start, What

    public interface Command

Method Summary
`void` | `doAction(ActionEvent e)`
`Set<String>` | `getActionNames()`

Method Detail

### doAction

    void doAction(ActionEvent e)
                  throws IllegalUserActionException

  Throws:
    `IllegalUserActionException`

### getActionNames

    Set<String> getActionNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.